> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hel.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Deposit Webhook

> Create a webhook for a deposit.

<Info>
  **NOTE:** When using Helio on mainnet, set your Base URL to [https://api.hel.io](https://api.hel.io) and generate your API keys from [moonpay.hel.io](https://app.hel.io/) . For testnet, use [https://api.dev.hel.io](https://api.dev.hel.io) and generate your API keys from [moonpay.dev.hel.io](https://app.dev.hel.io/).
</Info>

<Tip>
  To receive **deposit-customer quota alerts** (80% / 90% / 100% of your daily create limit), create a **global** webhook by omitting `depositId`. Deposit-scoped webhooks only receive transaction events. See [Deposit-customer quota alerts](https://docs.hel.io/reference/webhook/overview#deposit-customer-quota-alerts) in the webhook overview for payloads and behavior.
</Tip>

<Tip>
  To receive **`DEPOSIT_BELOW_MINIMUM`** alerts when a user has sent funds below the sweep threshold, create a deposit-scoped or **global** webhook. Both scopes receive this event when subscribed. See [Below-minimum deposit alerts](https://docs.hel.io/reference/webhook/overview#below-minimum-deposit-alerts) in the webhook overview for payloads and delivery rules.
</Tip>


## OpenAPI

````yaml POST /v1/webhook/deposit/api-key
openapi: 3.0.0
info:
  title: Helio Open API
  description: |-
    API schema and definitions for Helio API. <br/> 
          The API is using two types of Authentication, for dashboard endpoints we use <b>JSON Web Token (JWT)</b> that is generated by self custodial wallet signing a message from API.</br> 
          We also support authentication with <b>API Key and Secret</b> which can be generated on <a href='https://hel.io'>Helio dashboard</a>.
  version: 1.0.0
  contact: {}
servers:
  - description: Helio API (Mainnet)
    url: https://api.hel.io
  - description: Helio API (Devnet)
    url: https://api.dev.hel.io
security: []
tags:
  - name: Webhooks
  - name: Exports
  - name: Currencies
    description: >-
      Supported currencies endpoint, includes fiat and digital assets
      </br><i>Authentication: </i><b>None</b>
externalDocs:
  description: Helio product documentation
  url: https://docs.hel.io/
paths:
  /v1/webhook/deposit/api-key:
    post:
      tags:
        - Webhooks
      summary: Create a Deposit Webhook
      description: Create a webhook for a deposit.
      operationId: DepositHookController_createDepositHook
      parameters:
        - name: apiKey
          required: true
          in: query
          description: >-
            Your API key can be generated on the Helio Dashboard’s settings
            page.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDepositHookDto'
      responses:
        '200':
          description: Webhook creation response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PaylinkSubscriptionHookEntity'
              examples:
                webhookCreationResponse:
                  summary: Webhook creation response
                  value:
                    - id: 68f65b3f8eda28e9761b84d9
                      name: deposithooktest
                      targetUrl: >-
                        https://webhook-test-url/f5f34313-c07a-4473-a46f-3a9feb8aea1a
                      inactive: false
                      createdAt: '2025-10-20T15:54:39.374Z'
                      deposit: 68f65b2b03d7f2b2a12ca41e
                      isGlobal: false
                      sharedToken: >-
                        ZtiSEjZsTNoczv8kvDgtSx5+YO017NOlM/mrqEMj2nnHXi+UfmCQvuqvZlI0eH3JJWrW1D3UDWM+GgK9sVfR0NNPIMwWNV+jcFehjDIMlVq05Ahf2/5tUT/W7qqiHWZy
        '401':
          description: Provided API key has no access to the resource.
          content:
            application/json:
              examples:
                unauthorized:
                  summary: Invalid or missing API key
                  value:
                    message: Api key or token is invalid
                    code: 401
      security:
        - bearer: []
components:
  schemas:
    CreateDepositHookDto:
      type: object
      properties:
        name:
          type: string
          description: The name of the webhook.
        depositId:
          type: string
          description: The ID of the deposit the webhook is associated with.
        targetUrl:
          type: string
          description: The URL that will receive the webhook payload when the event occurs.
      required:
        - name
        - depositId
        - targetUrl
    PaylinkSubscriptionHookEntity:
      type: object
      properties:
        events:
          type: array
          items:
            type: string
            enum:
              - STARTED
              - RENEWED
              - ENDED
        id:
          type: string
        paylink:
          type: string
        company:
          type: string
        targetUrl:
          type: string
        sharedToken:
          type: string
        creator:
          type: string
      required:
        - events
        - id
        - paylink
        - company
        - targetUrl
        - sharedToken
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authentication using JWT token

````